tomcat-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Rainer Jung <rainer.j...@kippdata.de>
Subject Re: tc-native-1.1.12 fails to configure on Redhat EL4 x86_64 (... command not found)
Date Fri, 04 Jan 2008 13:56:11 GMT
Replace --Wl, by -Wl, in configure and build/tcnative.m4.

--- configure.orig      2007-12-21 15:06:53.000000000 +0100
+++ configure   2008-01-04 14:41:51.000000000 +0100
@@ -3936,7 +3936,7 @@
                 TCN_OPENSSL_LIBS="-L$use_openssl/lib -Wl,+b: -lssl
-lcrypto"
                 ;;
             *linux*)
-                TCN_OPENSSL_LIBS="-L$use_openssl/lib
--Wl,-rpath,$use_openssl/lib -lssl -lcrypto"
+                TCN_OPENSSL_LIBS="-L$use_openssl/lib
-Wl,-rpath,$use_openssl/lib -lssl -lcrypto"
                 ;;
             *)
                 TCN_OPENSSL_LIBS="-L$use_openssl/lib -lssl -lcrypto"


--- build/tcnative.m4.orig      2008-01-04 14:18:10.000000000 +0100
+++ build/tcnative.m4   2008-01-04 14:54:50.000000000 +0100
@@ -336,7 +336,7 @@
                 TCN_OPENSSL_LIBS="-L$use_openssl/lib -Wl,+b: -lssl
-lcrypto"
                 ;;
             *linux*)
-                TCN_OPENSSL_LIBS="-L$use_openssl/lib
--Wl,-rpath,$use_openssl/lib -lssl -lcrypto"
+                TCN_OPENSSL_LIBS="-L$use_openssl/lib
-Wl,-rpath,$use_openssl/lib -lssl -lcrypto"
                 ;;
             *)
                 TCN_OPENSSL_LIBS="-L$use_openssl/lib -lssl -lcrypto"

HTH

Rainer

Rainer Traut schrieb:
> Rainer Traut schrieb:
> 
>> I get many error msgs from this new thing; 1.1.10 was fine. I cut the
>> rest of the lines with 'command not found'.
>>
>> # ./configure --with-apr=/usr/local/apache2/
>> --with-ssl=/usr/include/openssl/
> ...
>> checking for OpenSSL library... using openssl from
>> /usr/include/openssl//lib and /usr/include/openssl//include
>> checking OpenSSL library version... not compatible
> ...
> 
>> ./configure: line 4316: APR_INCLUDES: command not found
>> ./configure: line 4317: APR_LIBS: command not found
>> ./configure: line 4318: APR_LIB_TARGET: command not found
>> ...
> 
> And even more in config.log regarding the openssl library problem.
> 
> configure:3961: checking OpenSSL library version
> configure:3995: gcc -o conftest -g -O2 -I/usr/include/openssl//include
>  conftest.c  -L/usr/include/openssl//lib
> --Wl,-rpath,/usr/include/openssl//lib -lssl -lcrypto >&5
> cc1: error: unrecognized command line option
> "-fWl,-rpath,/usr/include/openssl//lib"
> configure:3998: $? = 1
> configure: program exited with status 1
> configure: failed program was:
> | /* confdefs.h.  */
> | #define PACKAGE_NAME ""
> | #define PACKAGE_TARNAME ""
> | #define PACKAGE_VERSION ""
> | #define PACKAGE_STRING ""
> | #define PACKAGE_BUGREPORT ""
> | /* end confdefs.h.  */
> |
> | #include <stdio.h>
> | #include <openssl/opensslv.h>
> | int main() {
> |         if ((OPENSSL_VERSION_NUMBER >= 0x0090701fL &&
> |          OPENSSL_VERSION_NUMBER < 0x00908000L) ||
> |          OPENSSL_VERSION_NUMBER >= 0x0090802fL)
> |             return (0);
> |     printf("\n\nFound   OPENSSL_VERSION_NUMBER %#010x\n",
> |         OPENSSL_VERSION_NUMBER);
> |     printf("Require OPENSSL_VERSION_NUMBER 0x0090701f or greater
> (0.9.7a)\n"
> |            "Require OPENSSL_VERSION_NUMBER 0x0090802f or greater
> (0.9.8a)\n\n");
> |         return (1);
> | }

---------------------------------------------------------------------
To start a new topic, e-mail: users@tomcat.apache.org
To unsubscribe, e-mail: users-unsubscribe@tomcat.apache.org
For additional commands, e-mail: users-help@tomcat.apache.org


Mime
View raw message